%define ruby /usr/bin/ruby
%define rlibdir %(%{ruby} -r rbconfig -e 'print Config::CONFIG["rubylibdir"]')
%define rarchdir %(%{ruby} -r rbconfig -e 'print Config::CONFIG["archdir"]')
%define name ruby-vtk
%define version 0.2.0
%define release 0vl1

Summary:  Ruby library for The Visualization Toolkit(VTK)
Summary(ja): The Visualization Toolkit(VTK) のための Ruby ライブラリ
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
License: distributable
Group: Development/Languages
URL: http://www.gfd-dennou.org/arch/ruby/products/ruby-vtk/index-j.html

Requires: vtk >= 4.4
BuildRequires: vtk, ruby-narray
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux


%description
This is the one-to-one wrapper of the Visualization Toolkit (VTK).
The Visualization ToolKit (VTK) is an open source, freely available software system for 3D computer graphics, image processing.


%desctiption -l ja
これは The Visualization ToolKit (VTK) の一対一対応の Ruby ラッパーです。
The Visualization ToolKit (VTK) はオープンソースで自由に利用できる、3Dコンピューゼグラフィックスおよび画像処理ソフトウェアーです。



%prep

%setup -q


%build
ruby extconf.rb --with-vtk-include=/usr/include/vtk
%__make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall sitelibdir=${RPM_BUILD_ROOT}%{rlibdir}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README samples/
%{rlibdir}/vtk.rb
%{rlibdir}/vtk/
%{rarchdir}/vtk/


%changelog
* Sun May 29 2005 Seiya Nishizawa <seiya@kugi.kyoto-u.ac.jp> 0.2.0-0vl1
- source update
* Tue Apr 12 2005 Seiya Nishizawa <seiya@kugi.kyoto-u.ac.jp> 0.1.2-0vl1
- source update
* Sun Mar 20 2005 Seiya Nishizawa <seiya@kugi.kyoto-u.ac.jp> 0.1.1-0vl1
- initial build for Vine Linux
